# Synch_Invocation.h File Reference

`#include "tao/Remote_Invocation.h"`
`#include "tao/SystemException.h"`
`#include "tao/Synch_Invocation.inl"`

Include dependency graph for Synch_Invocation.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Classes

class | TAO::Synch_Twoway_Invocation
| All the action for a synchronous twoway invocation happen here. More...
class | TAO::Synch_Oneway_Invocation
| All the action for a synchronous oneway invocation happen here. More...
class | TAO::Reply_Guard
| A guard class used for storing and forwarding the reply status to the portable interceptors. More...

## Detailed Description

Id
  Synch_Invocation.h,v 1.12 2005/11/24 11:05:46 ossama Exp

Author:
  Balachandran Natarajan <bala@dre.vanderbilt.edu>